/* ========== DARK THEME CSS STARTS HERES ========== */
:root {
    --dt-background-color: #0C0A20;
    --dt-bg-light-color: #201e36;
    --dt-text-color: #e1e1e1;
    --dt-hover-text-color: #be83ff;
    --dt-border-color: #424055;
    --purple: #603d9f;
    --light-purple: #e8ddfb;
}
body.dark-theme{
    background: var(--dt-background-color);
    color: var(--dt-text-color) ;
}

body.dark-theme .navbar-toggler i{
    color:white;
}
body.dark-theme .text-black {
    color: #cfcfcf!important;
}
body.dark-theme .text-dark{
    color: #a8a8a8!important;
}
body.dark-theme .text-grey {
    color: #a5a5a5;
}
body.dark-theme .site-logo {
    filter: brightness(0) invert(1);
}
body.dark-theme .loading {
    background-color: var(--dt-bg-light-color)!important;
}
body.dark-theme .h-style .h-style-hd, body.dark-theme .h-style .h-style-link{
    background: var(--dt-background-color)!important;
    color:var(--dt-text-color);
}
body.dark-theme .bg-white{
    background: var(--dt-background-color)!important;
}
body.dark-theme .btn-search-icon{
    color: white;
}
body.dark-theme .btn-search-icon:hover {
	background:#563583;
}

body.dark-theme .site-cat-sec .meta-dtl li,body.dark-theme .site-cat-sec .meta-dtl span,
body.dark-theme .site-cat-sec .meta-dtl b, body.dark-theme .site-cat-sec .meta-dtl a {
    color: #b1b1b1;
}
body.dark-theme .site-hdr .navbar-nav li.menu-item-has-children .dropdown-menu li a {
    color: #363636!important;
}
body.dark-theme .meta-dtl a, body.dark-theme .breadcrumb-item.active, 
body.dark-theme .p-content a:not(.btn-sc), body.dark-theme .rating-num,
body.dark-theme .genre-badge, body.dark-theme .text-blue, body.dark-theme a{
    color: #c8adf9;
}
body.dark-theme .p-content a:not(.btn-sc):hover, body.dark-theme .p-content a:not(.btn-sc):focus{
    color: var(--dt-background-color);
}
body.dark-theme .p-content a:hover:before, body.dark-theme .p-content a:focus:before, body.dark-theme .p-content a:active:before{
    background: #c8adf9;
}
body.dark-theme .genre-badge{
    border: 1px solid #c8adf9;
}
body.dark-theme .plugin-ss ul > li a{
    color: #c8adf9;
    border: 2px solid #c8adf9;
}
body.dark-theme .p-top .meta-date b, body.dark-theme .p-top .meta-author a {
    color: #d7d7d7;
}
body.dark-theme .p-top .meta-date, body.dark-theme .p-top .meta-author {
    color: #959595;
}
body.dark-theme .site-breadcrumb .breadcrumb-item+.breadcrumb-item::before, 
body.dark-theme .site-tgle-btn, body.dark-theme .theme-toggle {
    filter: brightness(0) invert(1);
}
body.dark-theme .theme-toggle ,body.dark-theme .theme-toggle:hover , body.dark-theme .theme-toggle:focus {
    background: url(./../img/icon-bright-mode.png) no-repeat center;
    background-size: 23px;
}
body.dark-theme .emphasize-box ,body.dark-theme .emphasize-box-inr::before, 
body.dark-theme .emphasize-box-inr::after {
    background: #383838!important;
}  

body.dark-theme .emphasize-box.blockquote.colored .emphasize-box-inr::before {
    color: #ececec;
}

body.dark-theme .author-box, body.dark-theme #comment_box, #comments,
body.dark-theme .filter-div, body.dark-theme .nf-tool-filter-container, body.dark-theme .tool-vpn-cta,
body.dark-theme .site-hdr .navbar-nav .dropdown-menu, body.dark-theme .contact-info-box, body.dark-theme section.comments-sec{
    background: var(--dt-bg-light-color);
}
body.dark-theme .tool-search .tsearch-text input,body.dark-theme .tool-search .tsearch-text button, 
body.dark-theme .tool-search .bootstrap-select>.dropdown-toggle,
body.dark-theme .tool-search .bootstrap-select>.dropdown-toggle:focus{
    color: #e0e0e0!important;
}
body.dark-theme .h1,body.dark-theme .h2,body.dark-theme .h3,
body.dark-theme .h4,body.dark-theme .h5,body.dark-theme .h6,
body.dark-theme h1,body.dark-theme h2,body.dark-theme h3,
body.dark-theme h4,body.dark-theme h5,body.dark-theme h6,
body.dark-theme .p-title, body.dark-theme .p-row .p-heading, 
body.dark-theme .site-hdr .navbar-nav li a, body.dark-theme .site-hdr .navbar-nav li a:focus,
body.dark-theme .site-hdr .site-nav .navbar-nav > li > a, body.dark-theme .site-ftr-nav li a, body.dark-theme .breadcrumb-item a ,
body.dark-theme .text-white , body.dark-theme .site-hdr .navbar-nav li.menu-item-has-children .dropdown-menu li a:hover,
body.dark-theme .p-content a:not(.btn-sc):hover, body.dark-theme .btn-tool, body.dark-theme .text-muted, body.dark-theme .btn-danger,
body.dark-theme .site-hdr .navbar-nav li.menu-item-has-children .dropdown-menu li a,body.dark-theme .table, body.dark-theme .form-control,
body.dark-theme .cat-pg-card .card-title{
    color: var(--dt-text-color)!important;
}
body.dark-theme table thead tr {
    background-color: #525252;
}
body.dark-theme #comments {
    background: #626262;
}
body.dark-theme .p-content a:not(.btn-sc):hover {
    color: #eeeeee!important;
}
body.dark-theme .btn-tool{
    color: var(--dt-text-color);
    border-color: var(--dt-text-color);
}
body.dark-theme .btn-tool:hover:before{
    background: var(--dt-text-color);
}
body.dark-theme .hl-box, body.dark-theme .hl-box h2 {
    color: #e2e2e2!important;
}
body.dark-theme .hl-box {
    background: #454545!important;
}
body.dark-theme .faqs-card h5, body.dark-theme .faqs-card-title {
    color: #eee;
}
body.dark-theme .copyright, body.dark-theme .copyright a,body.dark-theme .copyright a:hover, 
body.dark-theme .site-ftr-ul li a, body.dark-theme .site-ftr-hd{
    color: #eee;
}
body.dark-theme hr {
    border-top: 1px solid rgb(100 100 100 / 48%);
}
body.dark-theme img {
    filter: brightness(.8) contrast(1.2);
}
body.dark-theme .site-footer, body.dark-theme .site-hdr,
body.dark-theme .site-hdr .dropdown-menu li a:hover,
body.dark-theme .pagination-wrap .page-item.active .page-link,
body.dark-theme .hstyle.sb-hd, body.dark-theme .btn-site{
    background-color: var(--purple);
}
body.dark-theme .pagination-wrap .page-link{
    background-color: #ededed00;
    color: #ccc!important;
}
body.dark-theme table tr:nth-of-type(odd) {
    background-color: #3e3e3e;
}
body.dark-theme .table-light, .table-light>td, .table-light>th {
    background-color: #5e5e5e;
}
body.dark-theme .pagination-wrap .page-item.active .page-link {
    border-color: var(--dark-blue);
    background: var(--dark-blue);
}
body.dark-theme .table-hover tbody tr:hover{
    color: #d2d2d2;
}
body.dark-theme .site-footer{
    border-top:0;
}
body.dark-theme .card.cat-pg-card .card-body {
    background: var(--dt-bg-light-color);
}
body.dark-theme .site-hdr {
    border-bottom: 0;
}
body.dark-theme .cat-pg-card:hover {
    box-shadow: 0px 5px 15px #585858;
}
body.dark-theme .slick-arrow{
    background: #4b4b4b;
}
body.dark-theme .pros li::before, body.dark-theme .cons li::before {
    background: #009a57;
    color: var(--dt-text-color);
}
body.dark-theme .cons li::before {
    background: #ca212b;
}
body.dark-theme ul#more-read-toc {
    background: #646464;
}
body.dark-theme .more-reads ul li{
    border-bottom: 1px dashed #9c9c9c;
}
body.dark-theme ul#more-read-toc{
    background:  var(--dt-background-color);
}
body.dark-theme .more-reads ul li a {
    color: var(--dt-text-color);
}
body.dark-theme .more-reads ul li:hover {
    background: #5f6468;
}
body.dark-theme .more-reads-title{
    background-color: var(--purple);
    color: var(--dt-text-color)!important;
}
body.dark-theme #comment_box input, body.dark-theme #comment_box textarea {
    color: #ffffff;
}
body.dark-theme .tbl-prov-row>li:first-child {
    background-color: #2f4654;
}
body.dark-theme .prov-prc {
    color: #f5f5f5;
}
body.dark-theme .prov-cut-prc, body.dark-theme .per-month {
    color: #d0d0d0;
}
body.dark-theme .btn-view, body.dark-theme .btn-view:hover, body.dark-theme .btn-view:focus, body.dark-theme .btn-view:active:focus{
    color: #fffb84!important;
    border-bottom: 1px dashed #fffb84!important;
}
body.dark-theme .tbl-prov-row>li {
    background-color:  var(--dt-background-color);
    border-right: 1px solid #606060;
    border-bottom: 1px solid #606060;
}
body.dark-theme .tbl-ttl-row {
    background-color: #4c4c4c;
    border-bottom: 1px solid #606060;
}
body.dark-theme .tbl-prov-label{
    background-color: #96020c;
}
/* body.dark-theme #top, body.dark-theme #top:hover, body.dark-theme #top:focus{
    background-color: #0e5d90;
    color: #e2e2e2;
    border: 1px solid #e2e2e2;
} */
body.dark-theme .tbl-wrap {
    box-shadow: 0 2px 8px #464646;
    border: 1px solid #6e6e6e;
}
body.dark-theme .site-hdr .navbar-nav li.menu-item-has-children:hover>.dropdown-menu {
    box-shadow: 1px 1px 11px 0 #3d3d3d;
    border: 1px solid white;
}
body.dark-theme .reply{
    border-bottom: 1px solid #6c6c6c;
}
body.dark-theme #comment_box .commentlist .reply a{
    background: var(--dark-blue);
    color: #eeeeee;
    border-color: var(--dark-blue);
}
body.dark-theme mark {
    background-image: linear-gradient(#6a7a00, #6a7a00)!important;
}
body.dark-theme div#related_post_div{
    background:  var(--dt-background-color);
}
body.dark-theme .disclosure-dd a {
    color: #c8c8c8!important;
}
body.dark-theme .disclosure-dd .dropdown-menu {
    border: 1px solid #606060;
    background: #7a7a7a;
    color: #ffffff;
}
body.dark-theme .disclosure-dd .dropdown-menu::before {
    border-bottom: 16px solid #7a7a7a;
}
body.dark-theme .deal-div{
    border: 1px solid #5c5c5c;
    box-shadow: 0px 3px 9px 0px #474646;
}
body.dark-theme .border-left {
    border-left: 1px solid #5c5c5c!important;
}
body.dark-theme .btn-site.orange {
    background: #b43300!important;
    border-color: #b43300!important;
}
body.dark-theme .hstyle.sb-hd,
body.dark-theme .sb-bp-title,
body.dark-theme #ez-toc-container a{
    color: var(--dt-text-color);
}
body.dark-theme .comments-sec::before, body.dark-theme .ra-box-title{
    background: var(--dt-background-color);
}
/* body.dark-theme .site-search .form-control{
    color: var(--dt-background-color)!important;
} */
body.dark-theme .site-hdr .navbar-nav li.menu-item-has-children ul.dropdown-menu li.menu-item-has-children .menu-dd-icon {
    color: #fff;
}
body.dark-theme #ez-toc-container {
    background: #4d4d4d;
    border: 1px solid #929292!important;
}
body.dark-theme .event-detail-box,
body.dark-theme .wp-caption-text,
body.dark-theme .wp-caption {
    background: var(--dt-bg-light-color);
}
body.dark-theme .wp-caption {
    border-top: 5px solid var(--dt-bg-light-color);
}

body.dark-theme .glossary-ul a {
    color: var(--dt-text-color);
}

body.dark-theme .glossary-ul a:hover {
    color: var(--dt-hover-text-color);
}

body.dark-theme .glossary-item-letter{
    background: #e8ddfb;
    color: #6f42c1;
}

body.dark-theme .glossary-item{
    border-top: 1px solid var(--dt-border-color);
}
body.dark-theme .p-top {
    border-bottom: 1px solid var(--dt-border-color);
}
body.dark-theme .sb-main .sb-bp-row{
    border-bottom: 1px dashed var(--dt-border-color);
}
body.dark-theme .border{
    border: 1px solid var(--dt-border-color)!important;
}
body.dark-theme .border-bottom {
    border-bottom: 1px solid var(--dt-border-color)!important;
}
body.dark-theme .home-sec-mag .site-thumb{
   border: 1px solid var(--dt-border-color);
}
body.dark-theme .form-control {
    background: rgb(217 217 217 / 10%) !important;
    border: none;
}
body.dark-theme .event-detail-box .btn-sc{
    background: var(--purple)!important;
}

body.dark-theme .glossary-input-group .input-group-text,
body.dark-theme .tools-input-group .btn{
    background: var(--light-purple);
    border-color: var(--light-purple);
    color: var(--purple);
}

body.dark-theme .glossary-input-group .input-group-prepend.bg-light,
body.dark-theme .tools-input-group .input-group-append {
    border-radius: 0.3rem;
}

body.dark-theme .site-search .btn-site {
    background: var(--light-purple);
    color: var(--purple)!important;
}

body.dark-theme .checkmark {
    border: 1px solid #61507d;
}

body.dark-theme .custom-chk-lbl:hover input ~ .checkmark {
    background-color: #393752;
}

body.dark-theme .custom-chk-lbl input:checked ~ .checkmark {
    background-color: var(--purple);
}

body.dark-theme .cat-pg-card {
    border: 0.5px solid var(--purple);
}

body.dark-theme .tool-badge {
    background: var(--light-purple);
    color: var(--purple);
    border: 1px solid var(--light-purple);
    text-transform: capitalize;
    font-weight: bold;
}

body.dark-theme .cat-tool-row .cat-pg-card .card-text + a:hover{
    color: #ffffff;
}

body.dark-theme .tools-input-group .btn:hover {
    background: var(--purple);
    color: var(--light-purple);
    border-color: var(--purple);
}

body.dark-theme .site-authorbio-social ul li a{
    background: var(--light-purple);
    color: var(--purple);
}

body.dark-theme #comments .submit, body.dark-theme #comment_box .submit{
    background: var(--light-purple);
    color: var(--purple)!important;
}

body.dark-theme .ra-slider .p-link:hover img {
    box-shadow: 0px 4px 9px 0px #6d61a6;
}

body.dark-theme #was-this-helpful, body.dark-theme #wthf-yes-no span {
    background: var(--dt-background-color)!important;
}
body.dark-theme .df-mainWrapper .df_logo, body.dark-theme .df-agentWrapper .df_logo {
	filter:invert;
}

body.dark-theme .df-whoWeAre-wrapper {
	background:rgba(255, 255, 255, 0.1)
}

body.dark-theme .df-agent-card, body.dark-theme .df-stats-card, body.dark-theme .df-prob-sol-wrapper {
	background: var(--dt-bg-light-color);
}

body.dark-theme .df-mainWrapper .df_logo, body.dark-theme .df-agentWrapper .df_logo {
    filter: contrast(0) brightness(2);
}

body.dark-theme .df-btn-site.df-purple {
	color:#fff;
}
body.dark-theme .df-btn-disabled {
	color:#000;
}

body.dark-theme .resource-card {
	background: var(--dt-bg-light-color);
}

body.dark-theme .df-whyChooseWrapper ul li {
	color: #ededed;
}
body.dark-theme .df-calculator-card{
	background: #201e36 !important;
	border-color: var(--purple);;
}
body.dark-theme .purple-pill{
	background: #201e36 !important;
    border-color: var(--purple);;
    color: #fff;
}
body.dark-theme .ai-card{
	border-color: var(--purple);
	background: var(--dt-bg-light-color);
	box-shadow: 0px 0px 33px -4px #603d9f;
}
body.dark-theme .ic-info{
	border-color: #fff;
	color: #fff;
	background: transparent;
}

body.dark-theme .custom-input,body.dark-theme .custom-select{
	border-color: var(--purple);
	background: #0C0A20;
}

body.dark-theme .custom-search-input input,body.dark-theme #keywordPollTable thead th{
	background-color: #0C0A20;
	border-color: var(--purple) !important;
	color: #fff !important;
}
body.dark-theme #keywordPollTable td{
	background-color: #0C0A20;
	color: #fff !important;
	border-color: var(--purple) !important;
}
body.dark-theme #keywordPollTable thead th:last-child,body.dark-theme #keywordPollTable td:last-child,body.dark-theme #keywordPollTable thead th:first-child,body.dark-theme #keywordPollTable td:first-child{
	border-left:none !important;
	border-right:none !important;
} 
body.dark-theme .kf-bg-light-blue{
	background: #201e36; 
}
body.dark-theme .kft-section strong{
	color: #e1e1e1 !important;
}
body.dark-theme .kft-btn-site:not(.kft-ctaWrapper-inner .kft-btn-site){
	color: #fff;
}
body.dark-theme .kft-section.top-sec{
	background: linear-gradient(rgb(96 61 159), rgb(32 30 54));
}
body.dark-theme .df-steps{
	background: #0c0a20;
}
body.dark-theme .ai-badge-pill{
	background: #201e36;
	background-color: #201e36 !important;
}
body.dark-theme .step-inner .step-no{
	opacity: 0.5;
}
body.dark-theme .kft-section.result-sec .ai-card{
	margin: 0 !important;
}
body.dark-theme .kft-section.result-sec{
	background: #201e36;
	padding-bottom: 36px !important;
}
body.dark-theme .kft-ctaWrapper-inner{
	background: linear-gradient(248.47deg, #3b266a 48.46%, #5F4986 119.89%);
}
body.dark-theme .ai-keyword-lsi-inner-item{
	background: rgb(255 255 255 / 10%);
}
body.dark-theme .df_features_heading{
	background: linear-gradient(rgb(119 86 177), rgb(12 10 32)) !important
}
body.dark-theme .df_features_heading img.df_logo{
	filter: brightness(10) !important;
}
body.dark-theme .df-features-cards{
	background: #201e36 !important;
	border: 1px solid #7756b1 !important;
}
body.dark-theme .df-features-cards:hover{
	background: #413e68 !important;
    box-shadow: 0px 0px 33px -4px #603d9f !important;
}
body.dark-theme .df-features-cards:hover .df-feature-icon {
    background: transparent !important;
}
body.dark-theme .kiva-byline p{
	color: #fff !important;
}
body.dark-theme .df-feature-icon{
	background: transparent;
	/* border: 1px solid #7756b1; */
}
body.dark-theme .df-bg-light-blue{
	background: transparent !important;
}
body.dark-theme .df-features-image{
	background: #7575bd1f !important;
	border-radius: 0.75rem !important;
}
body.dark-theme .fliping-text span{
	color: #d0b5ff !important
}
body.dark-theme .df-mainWrapper, body.dark-theme .df-agentWrapper {
    background: linear-gradient(rgb(119 86 177), rgb(12 10 32)) !important;
}
body.dark-theme .df-prob-sol-wrapper .card{
	background: #724dad78 !important;
}
body.dark-theme .df-pricesec-inner.pro ul li{
	color: #fff !important;
}
body.dark-theme .df-pricing-card.df-pro-plan {
    box-shadow: 0px -3px 33px 2px #603d9f;
}
body.dark-theme .df-pricing-card{
	border: 1px solid var(--purple) !important; 
}
body.dark-theme .text-purple{
	color: #c8adf9 !important;
}
body.dark-theme .result-box .result-metric span{
	color: #c8adf9 !important;
}
body.dark-theme .testimonial-card{
	background: #201e36 !important;
	border: 1px solid var(--purple) !important;
}
body.dark-theme .slick-dots li button:before{
	color: #ffffff;
	opacity: 1;
}
body.dark-theme .slick-dots li.slick-active button:before {
    color: #fff;
    border-color: #c2a8f2;
}
body.dark-theme .df-feature-icon i{
    color: #c8adf9 !important;
}
body.dark-theme .site-footer{
    background: #191733 !important;
}
body.dark-theme .df-stats-card{
    border: 1px solid var(--purple) !important;
}
body.dark-theme .ai-top-fold{
    background: linear-gradient(rgb(96 61 159), rgb(12 10 32)) !important;
}
body.dark-theme .ai-top-fold-img{
    background: #e2e2e21a !important;
}
body.dark-theme .ai-top-fold p{
    color: #ededed !important
}
body.dark-theme .df-highlight{
	background: var(--dt-bg-light-color);
}
body.dark-theme .highlight-content{
	background: #6059a678 !important;
    box-shadow: rgb(23 0 255 / 35%) 0px 10px 50px;
}
body.dark-theme .highlight-desc{
	color: #fff !important;
}
body.dark-theme .df-pricesec-inner ul li,body.dark-theme .df-pricing-card.pro .price{
	color: #fff !important;
}
body.dark-theme .df-highlight .flip-text{
	color: #c8adf9 !important;
}
body.dark-theme .highlight-content{
	border: 1px solid var(--purple) !important;
}
body.dark-theme .df-reviews-sec {
    background-color: #201e36 !important;
}
body.dark-theme .df-reviews-sec .slick-arrow{
	background: transparent;
	color: #fff;
}
body.dark-theme .df-reviews-sec .slick-arrow:hover {
    background: var(--purple) !important;
}
@media(max-width:991.7px){
    body.dark-theme .site-hdr .navbar-nav li.menu-item-has-children .menu-dd-icon {
        border: 1px solid #fff;
    }
    body.dark-theme .site-nav .navbar-collapse, body.dark-theme .site-hdr .navbar-nav li.menu-item-has-children .menu-dd-icon.expanded+.dropdown-menu, 
    body.dark-theme .site-hdr .navbar-nav li.menu-item-has-children ul.dropdown-menu li.menu-item-has-children .menu-dd-icon.expanded+.dropdown-menu {
        background: #151515;
    }
    .site-hdr .navbar-nav li.menu-item-has-children ul.dropdown-menu li.menu-item-has-children .menu-dd-icon {
    color: #000;
}
    body.dark-theme .site-hdr .navbar-nav li a, body.dark-theme .site-hdr .navbar-nav li a:focus{
        color: #242424;
    }
}